Finds loyalty cards by member ID and state
curl --request GET \
--url https://{host}/member/v1/loyalty-cards \
--header 'Authorization: <api-key>'import requests
url = "https://{host}/member/v1/loyalty-cards"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://{host}/member/v1/loyalty-cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"cardId": "<string>",
"memberId": "<string>",
"state": "Inactive",
"type": "Physical",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"cardHolderType": "<string>",
"displayName": "<string>"
}
]{
"name": "<string>",
"message": "<string>",
"details": null
}{
"name": "<string>",
"message": "<string>",
"details": null
}Finds loyalty cards by member ID and state
If the state is not specified, returns all cards for the member ID.
GET
/
v1
/
loyalty-cards
Finds loyalty cards by member ID and state
Authorizations
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Query Parameters
Member ID
Optional loyalty card state filter
Available options:
Inactive, Active Response
OK
Loyalty card ID
Minimum string length:
1Member ID who owns the card
Minimum string length:
1Available options:
Inactive, Active Available options:
Physical, Virtual Date and time when the card was created
Date and time when the card was last updated
Type of cardholder (e.g., Member, Employee)
Minimum string length:
1Display name for the loyalty card in the mobile app
Last modified on August 10, 2026